---
title: Vouchers
slug: vouchers
createdAt: 2026-10-20T09:51:11.729Z
---

{
  "id": "fVjYrf36pHUxvC1Gq5CR0",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://tnapi.ticketpay.de/exports/vouchers",
    "servers": [
      {
        "url": "https://tnapi.ticketpay.de/exports/vouchers",
        "description": "The production API server"
      }
    ],
    "name": "Vouchers",
    "description": "<p>With this endpoint you can get a list of your vouchers. The default output is JSON.\nFor results in a CSV file please extend the url with .csv\nIf you use time filter please note that this is used by default to the 'updated_iso' field. If you wish to use it to the 'created_iso' field please use filter_by parameter.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "<p>To authentificate please use your API-KEY created here <a href=\"https://iam.ticketpay.de/api-keys\" target=\"_blank\">https://iam.ticketpay.de/api-keys</a>. Please give this API-KEY the role Export.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "from",
          "type": "string",
          "example": "2025-05-01T00:00:00.000",
          "description": "<p>A date or datetime parameter to select the data start with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "to",
          "type": "string",
          "example": "2025-05-05",
          "description": "<p>A date or datetime parameter to select the data end with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "filter_by",
          "type": "string",
          "example": "created_iso",
          "description": "<p>Datetime filter field. Default value is updated_iso. Possible values are created_iso and updated_iso</p>"
        },
        {
          "kind": "optional",
          "name": "time_period",
          "type": "string",
          "description": "<p>If you dont want to use from and to you can use a time period to select data with a special period. Possible values are months, days, hours, minutes, seconds</p>"
        },
        {
          "kind": "optional",
          "name": "time_range",
          "type": "integer",
          "description": "<p>A time range is needed if you use the time_period parameter to select data. For exapmle you want tho get the last two months - time_period is months and time_range is 2</p>"
        },
        {
          "kind": "optional",
          "name": "shop_order_id",
          "type": "integer",
          "description": "To filter the results you can pass here the id of your order"
        },
        {
          "kind": "optional",
          "name": "shop_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the shop_id of your organizer shop</p>"
        },
        {
          "kind": "optional",
          "name": "event_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the event_id of one out yours events</p>"
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "description": "To filter the results you can pass here the status of vouchers. The results will put all vouchers with this status."
        },
        {
          "kind": "optional",
          "name": "per_page",
          "type": "integer",
          "description": "For pagination. Defines the number of data per page in the output."
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "For pagination. Defines the page number for the data output."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Response for get vouchers.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "get_vouchers",
            "schema": [
              {
                "name": "total",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 54
              },
              {
                "name": "page",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 1
              },
              {
                "name": "size",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 54
              },
              {
                "name": "data",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 65841
                  },
                  {
                    "name": "valid_until",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2025-07-31T22:00:00+02:00"
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "approved"
                  },
                  {
                    "name": "event_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 78001
                  },
                  {
                    "name": "shop_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 14669
                  },
                  {
                    "name": "shop_order_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 322333
                  },
                  {
                    "name": "created_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-02-26T19:29:42+01:00"
                  },
                  {
                    "name": "updated_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-02-26T19:29:43+01:00"
                  },
                  {
                    "name": "source_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 11708
                  },
                  {
                    "name": "source_type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "VoucherTicket"
                  },
                  {
                    "name": "code",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "VC6TX5H7"
                  },
                  {
                    "name": "pin",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": 12345
                  },
                  {
                    "name": "initial_value",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 10.99
                  },
                  {
                    "name": "saldo",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 10.99
                  },
                  {
                    "name": "used",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": "0.0"
                  },
                  {
                    "name": "refundable_amount",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 10.99
                  },
                  {
                    "name": "initial_refund",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": "0.0"
                  },
                  {
                    "name": "refunded_back",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": "0.0"
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "example@ticketpay.de"
                  },
                  {
                    "name": "use_in_type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Shop"
                  },
                  {
                    "name": "use_in_ids",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "127,130"
                  },
                  {
                    "name": "voucher_setting_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 1277
                  },
                  {
                    "name": "iban",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "DE12123456780123456789"
                  },
                  {
                    "name": "account_owner",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Max Mustermann"
                  },
                  {
                    "name": "covid_voucher",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": false
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/get_vouchers",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Response for a failed authentification.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "not_authorized",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Unauthorized"
              }
            ],
            "modelRef": "#/components/schemas/not_authorized",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://tnapi.ticketpay.de/exports/vouchers \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://tnapi.ticketpay.de/exports/vouchers\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://tnapi.ticketpay.de/exports/vouchers\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://tnapi.ticketpay.de/exports/vouchers\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Response for get vouchers.\n{\n  \"total\": 54,\n  \"page\": 1,\n  \"size\": 54,\n  \"data\": [\n    {\n      \"id\": 65841,\n      \"valid_until\": \"2025-07-31T22:00:00+02:00\",\n      \"status\": \"approved\",\n      \"event_id\": 78001,\n      \"shop_id\": 14669,\n      \"shop_order_id\": 322333,\n      \"created_iso\": \"2022-02-26T19:29:42+01:00\",\n      \"updated_iso\": \"2022-02-26T19:29:43+01:00\",\n      \"source_id\": 11708,\n      \"source_type\": \"VoucherTicket\",\n      \"code\": \"VC6TX5H7\",\n      \"pin\": 12345,\n      \"initial_value\": 10.99,\n      \"saldo\": 10.99,\n      \"used\": \"0.0\",\n      \"refundable_amount\": 10.99,\n      \"initial_refund\": \"0.0\",\n      \"refunded_back\": \"0.0\",\n      \"email\": \"example@ticketpay.de\",\n      \"use_in_type\": \"Shop\",\n      \"use_in_ids\": \"127,130\",\n      \"voucher_setting_id\": 1277,\n      \"iban\": \"DE12123456780123456789\",\n      \"account_owner\": \"Max Mustermann\",\n      \"covid_voucher\": false\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Response for a failed authentification.\n{\n  \"message\": \"Unauthorized\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}